Replay failed alert webhook events
curl --request POST \
--url https://api.portalhq.io/api/v3/custodians/me/alerts/webhooks/{alertWebhookId}/events/failed/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventIds": [
"eventId1"
]
}
'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/alerts/webhooks/{alertWebhookId}/events/failed/replay"
payload = { "eventIds": ["eventId1"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventIds: ['eventId1']})
};
fetch('https://api.portalhq.io/api/v3/custodians/me/alerts/webhooks/{alertWebhookId}/events/failed/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"replaying": [
"alertWebhookEventId1"
],
"failed": [
"alertWebhookEventId2"
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}Alert Webhooks
Replay failed alert webhook events
deprecated
Deprecated. Use
POST /custodians/me/alerts/webhooks/{alertWebhookId}/delivery-events/{deliveryEventId}/retries
instead to retry one delivery event at a time. The new endpoint also supports
retrying events that are still PENDING, not just those in FAILED state.
Replays a list of alert webhook events with a delivery status of "failed".
If a failed event has already been replayed successfully, it cannot be replayed again.
POST
/
custodians
/
me
/
alerts
/
webhooks
/
{alertWebhookId}
/
events
/
failed
/
replay
Replay failed alert webhook events
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Path Parameters
The unique identifier of the alert webhook.
Body
application/json
List of failed alert webhook event IDs to replay.
Response
Replay initiated
Show child attributes
Show child attributes
Was this page helpful?
⌘I